wxwidget linking with codeblocks

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
anandamu16
In need of some credit
In need of some credit
Posts: 4
Joined: Thu Feb 16, 2017 11:43 am

wxwidget linking with codeblocks

Postby anandamu16 » Thu Feb 16, 2017 12:07 pm

HI,

I am working on building wxwidget project on codeblocks. I am using wxWidget 2.8.12, Codeblocks 16.01.
I build wxwidget libraries in the configuration SHARED=1, MONOLITHIC=1, UNICODE=1. Also using the same wxwidget, I build the codeblocks sdk code also successfully. So I am sure that wxwidget buildup is fine.

Now, when I try to create a wxwidget project in codeblocks, It gave me error that script error has occurred.
Can anyone help?

Note: while creating wxwidget project
Attachments
wxwidget project config.PNG
wxwidget project configuration set
wxwidget project config.PNG (73.74 KiB) Viewed 354 times
wxwidget error2.PNG
wxwidget project error
wxwidget error2.PNG (54.7 KiB) Viewed 354 times
wxwidget error1.PNG
wxwidget project error

New Pagodi
Filthy Rich wx Solver
Filthy Rich wx Solver
Posts: 203
Joined: Tue Jun 20, 2006 6:47 pm
Contact:

Re: wxwidget linking with codeblocks

Postby New Pagodi » Thu Feb 16, 2017 1:36 pm

I've never seen anything like that and have no idea what could be causing it. You might want to ask about it on the codeblocks forum.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 1946
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxwidget linking with codeblocks

Postby ONEEYEMAN » Thu Feb 16, 2017 3:14 pm

Hi,
It is possible that the version 2.8.12 is too outdated and you won't receive any responce.
Try to use 3.1 instead. If you can reproduce the same crash with 3.1 - report it to the C::B developers.

Thank you.

stahta01
I live to help wx-kind
I live to help wx-kind
Posts: 176
Joined: Fri Nov 03, 2006 2:00 pm

Re: wxwidget linking with codeblocks

Postby stahta01 » Thu Feb 16, 2017 5:59 pm

ONEEYEMAN wrote:Hi,
It is possible that the version 2.8.12 is too outdated and you won't receive any responce.
Try to use 3.1 instead. If you can reproduce the same crash with 3.1 - report it to the C::B developers.

Thank you.


That script is too old to do 3.1 without editing it.

To fix the script for 2.8.12 ask on the CB Forum. Likely the OP edited wrong in the past.

Tim S.

anandamu16
In need of some credit
In need of some credit
Posts: 4
Joined: Thu Feb 16, 2017 11:43 am

Re: wxwidget linking with codeblocks

Postby anandamu16 » Fri Feb 17, 2017 4:48 am

Likely the OP edited wrong in the past.


What does it mean? I didn't edit the wxwidget script.
Thanks for replies, I have post it in Codeblocks forum, may be it has some issue with codeblocks.


Return to “Compiler / Linking / IDE Related”

Who is online

Users browsing this forum: No registered users and 6 guests